### org.jfree.layouting.layouter.content.resolved

# Class ResolvedStringToken

- `java.lang.Object`
- - `org.jfree.layouting.layouter.content.resolved.ResolvedStringToken`

Implemented Interfaces:
  ContentToken, ResolvedToken, TextType

`public class ResolvedStringToken`
`extends java.lang.Object`
`implements ResolvedToken, TextType`

Creation-Date: 12.06.2006, 14:38:29

Author:
  Thomas Morgner

  ## Constructor Summary

  `ResolvedStringToken(ComputedToken parent, String text)`

  ## Method Summary

  `ComputedToken`

  `getParent()`

  `String`

  `getText()`

## Constructor Details

### ResolvedStringToken

    public ResolvedStringToken(ComputedToken parent,
                               String text)

## Method Details

### getParent

    public ComputedToken getParent()

### getText

    public String getText()

> Specified by:
>   getText in interface ResolvedToken
>   getText in interface TextType